Skip to content

submissions_data_list

GET
/api/submissions/{submission_pk}/data
curl --request GET \
--url https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/data \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'

List the information related to all the submission data objects.

submission_pk
required
string format: uuid
X-Workspace
required
string format: uuid

Workspace ID

ordering
string

Which field to use when ordering the results.

p
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

search
string

A search term.

Media typeapplication/json
object
count
required
integer
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

Serializer for the submission data.

object
id
required
string format: uuid
submission
required
string format: uuid
data
required

Serializer for the data field in SubmissionData requests.

object
id
required
string format: uuid
name
required
string
description
required
string
nullable
connection
required
string format: uuid
external_id
required
string
size
required

Return the size of the object in octets.

Parameters

obj : Data The object for which to determine the size.

Returns

dict A dictionary containing the size of the object and the unit “octets”.

object
key
additional properties
icon
required
string
nullable
type
required
string
nullable
media_type
required
string
nullable
file_extension
required
string
nullable
external_accesses
required

Retrieve external access values for the given object.

Parameters

obj : Data The object used to retrieve external access values based on its external_id attribute.

Returns

list[dict] A list of dictionaries containing the external access type and access values for the object’s external_id.

Array<object>
object
key
additional properties
created_time
required
string format: date-time
last_update_time
required
string format: date-time
workspace
required
string format: uuid
data_access
required

Retrieve data access right value for the current user.

Parameters

obj : Data The object used to retrieve access right value.

Returns

dict A list of dictionaries containing the access right and last updated type and last verification time.

object
key
additional properties
datalinks
required

Retrieve datalink to access the current data.

Parameters

obj : Data The object used to retrieve datalink for.

Returns

list[dict] A list of dictionaries containing the datalinks.

Array<object>
object
key
additional properties
status
required
string
Allowed values: active in progress failed
enrichment_error
required

Why the enrichment failed, as {code, message}

nullable
enrichment_task_id
required

Celery task ID of the last async enrichment

string format: uuid
nullable
datalink
required

Get the datalink UUID and node UUID and name.

object
key
additional properties
associations
required

Retrieve information about associations linked to a given submission data object.

Parameters

obj : SubmissionMetadataObject The metadata object (or submission data object) for which to retrieve association information. Expected to have an associations GenericRelation to SubmissionAssociationObject.

Returns

dict A dictionary containing:

  • “count” (int): The number of SubmissionAssociations this object participates in.
  • “related” (str): The URL to retrieve the detailed list of associated SubmissionAssociations, filtered by the submission_data query parameter.
object
key
additional properties
external_identifiers
required

Return external identifiers linked to this submission data row.

Parameters

obj : SubmissionData The submission data instance.

Returns

list[dict] Serialized external identifiers (from the repository after upload, etc.).

Array<object>
object
key
additional properties
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : object The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
created_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : object The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties
last_edited_time
required
string format: date-time

Example

{
"count": 123,
"next": "http://api.example.org/accounts/?p=4",
"previous": "http://api.example.org/accounts/?p=2",
"results": [
{
"data": {
"status": "active"
}
}
]
}